org.apache.sysds.hops.codegen.opt

## Class ReachabilityGraph.SubProblem

- java.lang.Object
- - org.apache.sysds.hops.codegen.opt.ReachabilityGraph.SubProblem

Enclosing class:
  ReachabilityGraph

    public static class ReachabilityGraph.SubProblem
    extends Object

### Field Summary

Fields
`InterestingPoint[]` `freeMat`
`int[]` `freePos`
`int` `offset`

### Constructor Summary

Constructors
Constructor and Description
`SubProblem(int off, int[] pos, InterestingPoint[] mat)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### offset

    public int offset

#### freePos

    public int[] freePos

#### freeMat

    public InterestingPoint[] freeMat

### Constructor Detail

#### SubProblem

    public SubProblem(int off,
                      int[] pos,
                      InterestingPoint[] mat)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`